MPT_HANDSHAKE_REQ_RE(9)

NAME
mpt_handshake_req_reply_wait - Send MPT request to and receive reply from IOC via doorbell handshake method.

SYNOPSIS

int mpt_handshake_req_reply_wait(MPT_ADAPTER * ioc, int reqBytes, u32 * req, int replyBytes, u16 * u16reply, int maxwait, int sleepFlag);

ARGUMENTS

ioc
    Pointer to MPT_ADAPTER structure

reqBytes
    Size of the request in bytes

req
    Pointer to MPT request frame

replyBytes
    Expected size of the reply in bytes

u16reply
    Pointer to area where reply should be written

maxwait
    Max wait time for a reply (in seconds)

sleepFlag
    Specifies whether the process can sleep

NOTES

It is the callers responsibility to byte-swap fields in the request which are greater than 1 byte in size. It is also the callers responsibility to byte-swap response fields which are greater than 1 byte in size.

Returns 0 for success, non-zero for failure.

COPYRIGHT